# Annotation App Errors

## **Types of Errors**

* **UE**=User fixable or possible user error
* **KE**=KBase error
* **UK**=Unknown or multiple possibles causes
* **TE**=Temporary system problem

{% hint style="info" %}
Use your Browser's search tool to paste in your error message to locate your error message, information about the error and next steps.&#x20;
{% endhint %}

You can always submit a ticket for help, questions, or follow-up to the [KBase Help Board](https://kbase-jira.atlassian.net/).&#x20;

## **Common Errors across Annotation Apps**

#### RAST: [Annotate Microbial Genome](https://narrative.kbase.us/#catalog/apps/RAST_SDK/reannotate_microbial_genome/) / [Annotate Multiple Microbial Genomes](https://narrative.kbase.us/#catalog/apps/RAST_SDK/reannotate_microbial_genomes/) / [Annotate Microbial Assembly](https://narrative.kbase.us/#catalog/apps/RAST_SDK/annotate_contigset/) **/** [Annotate Multiple Microbial Assemblies](https://narrative.kbase.us/#catalog/apps/RAST_SDK/annotate_contigsets/)&#x20;

#### Prokka:  [Annotate Assembly and Re-annotate Genomes with Prokka](https://narrative.kbase.us/#catalog/apps/ProkkaAnnotation/annotate_contigs/)

#### `(2, No such file or directory)`&#x20;

UE: One or more contigs had header lines longer than 37 characters.&#x20;

*Edit the fasta file, upload again, and try resubmitting the job.*

#### `Error invoking method call_features_rRNA_SEED`&#x20;

UE: One or more of the FASTA header lines are extremely long.&#x20;

*Shorten them, re-upload, and try resubmitting the job.* *.*&#x20;

#### `Object #1, 0ae7adb1-6351-4d26-a526-cc09c15e46ee.report has invalid reference: ….`

UE: There are no input datasets listed.&#x20;

*Supply the dataset(s) and try resubmitting the job.*

#### &#x20;`too many contigs`&#x20;

UE: RAST has a limit of 10,000 contigs. Prokka has a limit of 30,000 contigs.

*Divide the file or bin the contigs before running RAST again by resubmitting the job.*

#### `Error on ObjectSpecification #1: Unable to parse version portion of object reference nnnn/2/1, nnnn to an integer`&#x20;

UE: The wrong delimiter was used in the free text of the Assembly list or Genome list.&#x20;

*Change the delimiter to a semicolon (;) and try resubmitting the job.*

#### `Error on ObjectSpecification #1: Illegal number of separators /`

UE: The wrong delimiter was used in the free text of the Assembly list or Genome list.

*Change the delimiter to a semicolon (;) and try resubmitting the job.*&#x20;

#### `name assembly_info is not defined`&#x20;

UE: You are running the beta version of the app.&#x20;

*Change to the released version.*

## [Annotate Plant Transcripts with Metabolic Functions](https://narrative.kbase.us/#catalog/apps/kb_plant_rast/annotate_plant_transcripts/dbac462bc80e4d9db11efe0ff6e82c8fb28a3034)

#### `The genome does not contain any CDSs or features!`&#x20;

UE: The input genome does not have the needed features.&#x20;

*Double check the file and try resubmitting the job.*

## [**Assess Genome Quality with CheckM**](https://narrative.kbase.us/#catalog/apps/kb_Msuite/run_checkM_lineage_wf/release)

#### `Object NNN cannot be accessed: User user_name may not read workspace XXXXX` &#x20;

UE: The app requires data which is owned by another user and you do not have access. In another scenario, either you or the user have deleted the original assembly.&#x20;

*Ask the user for access to the needed file.*


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.kbase.us/troubleshooting/job-errors/annotation.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
